Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642262 - x11-drivers/nvidia-drivers-387.22 with kernel 4.14.9 - .../work/kernel/nvidia-uvm/uvm8_va_block.c: ./arch/x86/include/asm/processor.h:826:39: error: implicit declaration of function ‘task_stack_page’ [-Werror=implicit-function-declaration]
Summary: x11-drivers/nvidia-drivers-387.22 with kernel 4.14.9 - .../work/kernel/nvidia...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
: 642320 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-12-26 08:33 UTC by Vasilis Lourdas
Modified: 2019-01-16 10:44 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
4.14.11-ck.config (kconfig,103.16 KB, text/plain)
2018-01-04 14:22 UTC, ᎫᏤᏣ (kuzetsa)
Details
emerge --info nvidia-drivers (nvidia-emerge-info.txt,5.98 KB, text/plain)
2018-01-05 16:56 UTC, Vlad K.
Details
kernel config for 4.14.11 (kernel-config.txt,103.48 KB, text/plain)
2018-01-05 16:57 UTC, Vlad K.
Details
4.14.12 kernel config (.config,96.86 KB, text/plain)
2018-01-08 06:59 UTC, Matthew Turnbull
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasilis Lourdas 2017-12-26 08:33:43 UTC
./tools/objtool/objtool orc generate --no-fp  "/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_range_allocator.o";
  x86_64-pc-linux-gnu-gcc -Wp,-MD,/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/.uvm8_va_range.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-pc-linux-gnu/6.4.0/include -I/usr/src/linux-4.14.9-gentoo/arch/x86/inc
lude -I./arch/x86/include/generated  -I/usr/src/linux-4.14.9-gentoo/include -I./include -I/usr/src/linux-4.14.9-gentoo/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-4.14.9-gentoo/include/uapi -I./include/gene
rated/uapi -include /usr/src/linux-4.14.9-gentoo/include/linux/kconfig.h  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -D__KERNEL__ -Wall -Wundef -Wstri
ct-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -fno-delete-null-pointer-checks -Wno-frame-address -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -fno-stack-protector -Wno-unused-but-set-variable -Wno-unused-const-variable -fomit-frame-pointer -fno-var-tracking-assignments -fno-inline-functions-called-once -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -Wall -MD -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMODULE -DNVRM -DNV_VERSION_STRING=\"387.22\" -Wno-unused-function -Wuninitialized -fno-strict-aliasing -mno-red-zone -mcmodel=kernel -DNV_UVM_ENABLE -Wno-sign-compare -Wno-format-extra-args -Werror=undef -O2 -DNVIDIA_UVM_ENABLED -DNVIDIA_UNDEF_LEGACY_BIT_MACROS -DLinux -D__linux__  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm  -DMODULE  -DKBUILD_BASENAME='"uvm8_va_range"'  -DKBUILD_MODNAME='"nvidia_uvm"' -c -o /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_range.o /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_range.c
   ./tools/objtool/objtool orc generate --no-fp  "/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_range.o";
  x86_64-pc-linux-gnu-gcc -Wp,-MD,/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/.uvm8_va_block.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-pc-linux-gnu/6.4.0/include -I/usr/src/linux-4.14.9-gentoo/arch/x86/include -I./arch/x86/include/generated  -I/usr/src/linux-4.14.9-gentoo/include -I./include -I/usr/src/linux-4.14.9-gentoo/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-4.14.9-gentoo/include/uapi -I./include/generated/uapi -include /usr/src/linux-4.14.9-gentoo/include/linux/kconfig.h  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -fno-delete-null-pointer-checks -Wno-frame-address -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -fno-stack-protector -Wno-unused-but-set-variable -Wno-unused-const-variable -fomit-frame-pointer -fno-var-tracking-assignments -fno-inline-functions-called-once -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel -Wall -MD -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMODULE -DNVRM -DNV_VERSION_STRING=\"387.22\" -Wno-unused-function -Wuninitialized -fno-strict-aliasing -mno-red-zone -mcmodel=kernel -DNV_UVM_ENABLE -Wno-sign-compare -Wno-format-extra-args -Werror=undef -O2 -DNVIDIA_UVM_ENABLED -DNVIDIA_UNDEF_LEGACY_BIT_MACROS -DLinux -D__linux__  -I/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm  -DMODULE  -DKBUILD_BASENAME='"uvm8_va_block"'  -DKBUILD_MODNAME='"nvidia_uvm"' -c -o /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.o /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c
In file included from /usr/src/linux-4.14.9-gentoo/arch/x86/include/asm/cpufeature.h:5:0,
                 from /usr/src/linux-4.14.9-gentoo/arch/x86/include/asm/thread_info.h:53,
                 from /usr/src/linux-4.14.9-gentoo/include/linux/thread_info.h:38,
                 from /usr/src/linux-4.14.9-gentoo/arch/x86/include/asm/preempt.h:7,
                 from /usr/src/linux-4.14.9-gentoo/include/linux/preempt.h:81,
                 from /usr/src/linux-4.14.9-gentoo/include/linux/spinlock.h:51,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc/nv-lock.h:16,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc/nv-linux.h:19,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm_linux.h:39,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c:24:
/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c: In function ‘block_cpu_fault_locked’:
/usr/src/linux-4.14.9-gentoo/arch/x86/include/asm/processor.h:826:39: error: implicit declaration of function ‘task_stack_page’ [-Werror=implicit-function-declaration]
  unsigned long __ptr = (unsigned long)task_stack_page(task); \
                                       ^
/usr/src/linux-4.14.9-gentoo/arch/x86/include/asm/processor.h:900:26: note: in expansion of macro ‘task_pt_regs’
 #define KSTK_EIP(task)  (task_pt_regs(task)->ip)
                          ^~~~~~~~~~~~
/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c:8921:41: note: in expansion of macro ‘KSTK_EIP’
                                         KSTK_EIP(current));
                                         ^~~~~~~~
cc1: some warnings being treated as errors
make[3]: *** [/usr/src/linux-4.14.9-gentoo/scripts/Makefile.build:315: /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.o] Error 1
make[2]: *** [/usr/src/linux-4.14.9-gentoo/Makefile:1504: _module_/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel] Error 2
make[2]: Leaving directory '/usr/src/linux-4.14.9-gentoo'
make[1]: *** [Makefile:146: sub-make] Error 2
make[1]: Leaving directory '/usr/src/linux-4.14.9-gentoo'
make: *** [Makefile:84: modules] Error 2
 * ERROR: x11-drivers/nvidia-drivers-387.22::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=x11-drivers/nvidia-drivers-387.22::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/nvidia-drivers-387.22::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel'
 * S: '/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/'
Comment 1 Vasilis Lourdas 2017-12-26 08:39:31 UTC
nvidia-drivers-387.34 build fine though.
Comment 2 Vasilis Lourdas 2017-12-26 08:40:05 UTC
Forgot to include emerge info output:

emerge --info
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-6.4.0, glibc-2.25-r9, 4.14.8-gentoo-r1 x86_64)
=================================================================
System uname: Linux-4.14.8-gentoo-r1-x86_64-Intel-R-_Core-TM-_i5-4590_CPU_@_3.30GHz-with-gentoo-2.4.1
KiB Mem:    16329232 total,   9783772 free
KiB Swap:    8388600 total,   8388600 free
Timestamp of repository gentoo: Tue, 26 Dec 2017 07:30:01 +0000
Head commit of repository gentoo: edbb288bd7337e0b8fab4925fe23987a1a72f071
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.5-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.28.1::gentoo, 2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

Local-overlay-Vasilis
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula Google-TOS AdobeFlash-11.x Oracle-BCLA-JavaSE skype-4.0.0.7-copyright TeamViewer PUEL google-chrome OPERA-2014 RAR"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=6144"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -mtune=native --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=6144"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.ntua.gr/pub/linux/gentoo/ ftp://gentoo.mirror.dkm.cz/pub/gentoo/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.mirror.web4u.cz/ ftp://91.121.124.139/gentoo-distfiles/"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color X a52 aac acl acpi activities additions admin aio alsa amd64 apache2 apng archive asf bash-completion bcmath berkdb branding bzip2 bzlib cairo calendar caps cdr cgmanager cgroups charconv chm cleartype_hinting cli contrast corefonts cracklib crypt cryptsetup css ctype cups cupsddk curl cxx dba dbus dcc_video declarative device-mapper dia dmi dri dri3 dts dvd dvdr dvdread ebook effects efi emboss encode exif expat extensions extras faac faad fam fastcgi fat fbcon ffmpeg fftw filecaps filter firefox firefox3 flac fontconfig foomaticdb fpm freerdp ftp g3dvl gallium gd gdbm gif gimp gimpprint git glamor glib glx gmp gnome-keyring gnomedb gocr gphoto2 gpm graphviz gs gstreamer gtk hddtemp hotpixels howl http2 hwaccel iconv icu id3tag imagemagick imap imlib innodb inotify intl ipv6 iso14755 jabber java java6 javascript jemalloc jpeg jpeg2k json kde kipi kwallet lame lcdfilter lcms lensfun libkms libnotify libwww lm_sensors lzma mad madwifi maildir mailwrapper maps matroska mdadm melt mime minizip mmap mmx mmxext modules motif mozbranding mozdevelop mozilla mozsvg mp3 mp4 mpeg mplayer mpm-worker multilib multiuser mysql mysqli mysqlnd ncurses newspr nlpsolver nls no-old-linux nodrm nomalloccheck nptl nsplugin ntfs ntfsprogs nvidia objc offensive ofx ogg oldpim opcache opengl openmp openssl optimization oqgraph osmesa pam pango pcmcia pcntl pcre pdf pdfimport pdo pear pgo phonon php pie plasma plotutils pmu png policykit posix postgres ppds pulseaudio python qml qt3support qt4 qt5 quicktime rar raw rdesktop rdoc readline redeyes reports romio rpc sasl scanner script sdl seccomp server session sha512 sharedext sharedmem simplexml smp sna sndfile soap sockets sound speex spell sphinx spreadsheet sqlite sqlite3 srt sse sse2 sse3 sse4_1 ssl ssse3 startup-notification subtitles subversion svg symlink sysfs syslog systemd sysv-utils sysvipc tcltk tcpd templates tetex theora thin-splines threads tidy tiff tokenizer tordns truetype tty-helpers udev udisks unicode upower urandom usb userlocales v4l vda vdpau vhost-net video vmware-tools vmware_guest_linux vmware_guest_windows vncviewer vorbis vpx wddx webm widgets windeco wv wxgtk1 wxwidgets x264 x265 xattr xcb xcomposite xetex xft xinerama xml xmlreader xmlrpc xmlwriter xmp xorg xpdf-headers xpm xprint xscreensaver xsl xslt xv xvfb xvid xvnc zip zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="alias auth_basic authn_core authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cgid deflate dir env expires filter headers http2 log_config logio mime mime_magic negotiation proxy proxy_fcgi rewrite setenvif socache_shmcb unixd userdir" APACHE2_MPMS="event" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="appmenu backlight battery clock comp conf conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager quickaccess start syscon systray tasks temperature tiling winlist wizard xkbswitch" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en el" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-minimizer nlpsolver" LINGUAS="en en_GB en_US el" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6" RUBY_TARGETS="ruby22" SANE_BACKENDS="snapscan" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Octavian 2018-01-01 11:17:54 UTC
Duplicate of 642320
Comment 4 Jonas Stein gentoo-dev 2018-01-03 21:24:27 UTC
*** Bug 642320 has been marked as a duplicate of this bug. ***
Comment 5 Jeroen Roovers gentoo-dev 2018-01-04 14:11:06 UTC
Nobody posted a kernel config file!
Comment 6 Jeroen Roovers gentoo-dev 2018-01-04 14:13:56 UTC
[ebuild   R   ~] x11-drivers/nvidia-drivers-387.34:0/387::gentoo  USE="X acpi driver gtk3 kms multilib static-libs tools uvm wayland -compat -pax_kernel" ABI_X86="32 (64) (-x32)" 0 KiB

# zgrep CONFIG_THREAD_INFO_IN_TASK /proc/config.gz
CONFIG_THREAD_INFO_IN_TASK=y

# ls -ld /usr/src/linux
lrwxrwxrwx 1 root root 23 Dec 31 17:02 /usr/src/linux -> linux-4.14.10-gentoo-r1
Comment 7 ᎫᏤᏣ (kuzetsa) 2018-01-04 14:22:37 UTC
Created attachment 513164 [details]
4.14.11-ck.config

(In reply to Jeroen Roovers from comment #5)
> Nobody posted a kernel config file!

Here you go, have a kernel config.

See also:

Earlier bug report containing build logs and detailed info,
(including patch which fixes "task_stack_page" failures)

https://bugs.gentoo.org/642320
Comment 8 Jeroen Roovers gentoo-dev 2018-01-04 15:04:11 UTC
Comment on attachment 513164 [details]
4.14.11-ck.config

"for currently running kernel"?
Comment 9 ᎫᏤᏣ (kuzetsa) 2018-01-04 15:45:59 UTC
(In reply to Jeroen Roovers from comment #8)
> Comment on attachment 513164 [details]
> 4.14.11-ck.config
> 
> "for currently running kernel"?

correct.

the fix also works with (was tested with) gentoo-sources

sys-kernel/ck-sources only has ck-related diffs from sys-kernel/gentoo-sources due to closely tracking and tracking genpatches. Even though I also will test fixes on gentoo-sources from time to time, I run this one because it's the one I'm maintaining & need to do runtesting whenever possible.
Comment 10 Jeroen Roovers gentoo-dev 2018-01-04 15:56:21 UTC
(In reply to kuzetsa from comment #9)
> (In reply to Jeroen Roovers from comment #8)
> > Comment on attachment 513164 [details]
> > 4.14.11-ck.config
> > 
> > "for currently running kernel"?
> 
> correct.

But nobody knows what you are running until they dig in and extract the information, so adding "currently running kernel" is meaningless to everyone but you.

> the fix also works with (was tested with) gentoo-sources

The fix is horrible.

What would help is finding out why I can compile all nvidia-drivers versions that match the officially restricted kernel versions just fine, and why some people apparently cannot. Until we know that, adding me-toos to this bug report is not going to fix anything.
Comment 11 Jeroen Roovers gentoo-dev 2018-01-04 15:57:39 UTC
NVIDIA have today released 384.111 and 390.12. Matching nvidia-settings sources have not been released yet, though, so please be patient.
Comment 12 Jeroen Roovers gentoo-dev 2018-01-04 19:02:42 UTC
(In reply to Jeroen Roovers from comment #11)
> Matching nvidia-settings sources have not been released yet, though, so please be patient.

https://download.nvidia.com/XFree86/nvidia-settings/

Of course, I forgot.
Comment 13 Vlad K. 2018-01-05 16:56:49 UTC
Created attachment 513422 [details]
emerge --info nvidia-drivers

Same problem here. Upgraded the kernel from 4.13.6, where nvidia-drivers-387.22 built and worked fine, to 4.14.11, ran emerge @module-rebuild and poof, same error:



In file included from ./arch/x86/include/asm/cpufeature.h:5:0,
                 from ./arch/x86/include/asm/thread_info.h:53,
                 from ./include/linux/thread_info.h:38,
                 from ./arch/x86/include/asm/preempt.h:7,
                 from ./include/linux/preempt.h:81,
                 from ./include/linux/spinlock.h:51,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc/nv-lock.h:16,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/common/inc/nv-linux.h:19,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm_linux.h:39,
                 from /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c:24:
/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c: In function ‘block_cpu_fault_locked’:
./arch/x86/include/asm/processor.h:826:39: error: implicit declaration of function ‘task_stack_page’ [-Werror=implicit-function-declaration]
  unsigned long __ptr = (unsigned long)task_stack_page(task); \
                                       ^
./arch/x86/include/asm/processor.h:909:26: note: in expansion of macro ‘task_pt_regs’
 #define KSTK_EIP(task)  (task_pt_regs(task)->ip)
                          ^~~~~~~~~~~~
/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.c:8921:41: note: in expansion of macro ‘KSTK_EIP’
                                         KSTK_EIP(current));
                                         ^~~~~~~~
cc1: some warnings being treated as errors
make[2]: *** [scripts/Makefile.build:315: /var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel/nvidia-uvm/uvm8_va_block.o] Error 1
make[1]: *** [Makefile:1507: _module_/var/tmp/portage/x11-drivers/nvidia-drivers-387.22/work/kernel] Error 2
make[1]: Leaving directory '/usr/src/linux-4.14.11-gentoo'
make: *** [Makefile:84: modules] Error 2

Attached emerge info for nvidia-drivers.
Comment 14 Vlad K. 2018-01-05 16:57:33 UTC
Created attachment 513424 [details]
kernel config for 4.14.11
Comment 15 Matthew Turnbull 2018-01-08 05:43:26 UTC
nvidia-drivers-390.12 and gentoo-sources-4.14.12 play nice together, even with PAGE_TABLE_ISOLATION=y and CONFIG_THREAD_INFO_IN_TASK=y
Comment 16 Matthew Turnbull 2018-01-08 06:59:01 UTC
Created attachment 513746 [details]
4.14.12 kernel config

Sorry, I should have also mentioned that, with gentoo-sources-4.14.12 and nvidia-drivers-387.22, I can only replicate the cpu_tlbstate GPL-only symbol error. I'm not seeing the task_stack_page implicit declaration error.

The task_stack_page error seems strange to me. CONFIG_THREAD_INFO_IN_TASK=y has been part of the X86 arch config since 4.9.

The symbol issue is related to PTI upstream changes. However, it looks like compatibility was restored in a later commit, which could be pulled into gentoo-sources along with the rest of the PTI patches.

Regression(?): https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/arch/x86/mm/init.c?id=6fd166aae78c

Fix: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/arch/x86/mm/init.c?id=1e5476815fd7f98b888e01a0f9522b63085f96c9
Comment 17 Nikita Zlobin 2018-02-20 13:52:18 UTC
Hello. Yet another me-too, i have it with linux version 4.14.15.
However, someone mentioned nvidia-drivers-387.34 When i try to build it with same kernel, i get completely different error:

  x86_64-pc-linux-gnu-gcc -Wp,-MD,/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/.nvidia-modeset-linux.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-pc-linux-gnu/6.4.0/include -I/usr/src/linux-4.14.15-calculate/arch/x86/include -I./arch/x86/include/generated  -I/usr/src/linux-4.14.15-calculate/include -I./include -I/usr/src/linux-4.14.15-calculate/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-4.14.15-calculate/include/uapi -I./include/generated/uapi -include /usr/src/linux-4.14.15-calculate/include/linux/kconfig.h  -I/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel -I/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -fno-delete-null-pointer-checks -Wno-frame-address -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -fplugin=./scripts/gcc-plugins/structleak_plugin.so -fplugin=./scripts/gcc-plugins/randomize_layout_plugin.so -fplugin-arg-structleak_plugin-byref-all -DSTRUCTLEAK_PLUGIN -DRANDSTRUCT_PLUGIN -Wframe-larger-than=2048 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fomit-frame-pointer -fno-var-tracking-assignments -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init  -I/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/common/inc  -I/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel -Wall -MD -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMODULE -DNVRM -DNV_VERSION_STRING=\"387.34\" -Wno-unused-function -Wuninitialized -fno-strict-aliasing -mno-red-zone -mcmodel=kernel -DNV_UVM_ENABLE -Wno-sign-compare -Wno-format-extra-args -Werror=undef  -I/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset -UDEBUG -U_DEBUG -DNDEBUG -DNV_BUILD_MODULE_INSTANCES=0  -DMODULE  -DKBUILD_BASENAME='"nvidia_modeset_linux"'  -DKBUILD_MODNAME='"nvidia_modeset"' -c -o /var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/.tmp_nvidia-modeset-linux.o /var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:346:5: error: positional initialization of field in ‘struct’ declared with ‘designated_init’ attribute [-Werror=designated-init]
     nvkms_suspend,
     ^~~~~~~~~~~~~
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:346:5: note: (near initialization for ‘nvkms_rm_callbacks’)
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:346:5: error: invalid initializer
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:346:5: note: (near initialization for ‘nvkms_rm_callbacks.<anonymous>’)
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:347:5: error: positional initialization of field in ‘struct’ declared with ‘designated_init’ attribute [-Werror=designated-init]
     nvkms_resume
     ^~~~~~~~~~~~
/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.c:347:5: note: (near initialization for ‘nvkms_rm_callbacks’)
cc1: some warnings being treated as errors
make[3]: *** [/usr/src/linux-4.14.15-calculate/scripts/Makefile.build:321: /var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel/nvidia-modeset/nvidia-modeset-linux.o] Error 1
make[2]: *** [/usr/src/linux-4.14.15-calculate/Makefile:1507: _module_/var/calculate/tmp/portage/x11-drivers/nvidia-drivers-387.34/work/kernel] Error 2